Subject: bug#70850: closed (Re: bug#70850: question on nss-certs)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 16 May 2024 03:00:03 +0000

Your bug report

#70850: question on nss-certs

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
70850: https://debbugs.gnu.org/cgi/bugreport.cgi?bug=70850
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#70850: question on nss-certs
From: Maxim Cournoyer <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked], Antonio Carlos Padoan Junior <[email-masked]>
Date: Wed, 15 May 2024 22:58:40 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

[email-masked] writes:

> May 10, 2024 at 1:51 AM, "Antonio Carlos Padoan Junior" <[email-masked]> wrote:
>
>
>
>> 
>> [email-masked] writes:
>> 
>> > 
>> > May 9, 2024 at 1:53 PM, "Olivier Dion" <[email-masked]> wrote:
>> > 
>> >  The best place for bugs, is to discuss them on [email-masked]. That way 
>> > 
>> >  it ends up in our bug tracker. [email-masked] is really meant for
>> > 
>> >  massive cool changes that you want guix to include. :)
>> > 
>> 
>> Thank you, I was not certain it was a bug. And yes, next time I will try
>> 
>> to be more precise in which list to post.
>
> No worries.  I hope the bug gets fixed.  :)

Should be fixed with: 35ae95061e ("system: Do not delete all nss-certs
packages when they are the same object.").

Sorry for the breakage, and thanks for the report!

-- 
Thanks,
Maxim

Subject: Re: question on nss-certs
From: [email-masked]
To: "Olivier Dion" <[email-masked]>, "Antonio Carlos Padoan Junior" <[email-masked]>, [email-masked]
Date: Thu, 09 May 2024 22:13:46 +0000
List-Id: <debbugs-submit.debbugs.gnu.org>

May 9, 2024 at 1:53 PM, "Olivier Dion" <[email-masked]> wrote:

> 
> On Thu, 09 May 2024, Antonio Carlos Padoan Junior <[email-masked]> wrote:
> 
>  
> 
>  
> 
>  Hi,
> 
>  
> 
>  I made a system reconfigure today and I noticed that my folder
> 
>  
> 
>  /etc/ssl/certs disappeared and this annoys me (for instance, mbsync is
> 
>  
> 
>  missing it). I suppose this is related to the fact that nss-certs now is
> 
>  
> 
>  included in base-packages, but not sure. Am I supposed to still have the
> 
>  
> 
>  standard folder /etc/ssl/certs in my system? If no, how can I gracefully
> 
>  
> 
>  handle that?
> 
>  This is the system I build this morning:
> 
>  Generation 97 May 09 2024 12:07:20 (current)
> 
>  nonguix 7081518
> 
>  repository URL: https://gitlab.com/nonguix/nonguix
> 
>  branch: master
> 
>  commit: 7081518be7d2dbb58f3fbfeb1785254a6f0059c8
> 
>  guix cf5f7a8
> 
>  repository URL: https://git.savannah.gnu.org/git/guix.git
> 
>  branch: master
> 
>  commit: cf5f7a8bf9ca2288700fcf351bbca0fc341ec969
> 
>  
> 
>  
> 
>  This actualy broke my system. Could not do `guix pull' anymore
> 
>  
> 
>  afterward because it could not do authentication. I had to roll-back to
> 
>  
> 
>  previous system and remove nss-certs from the list of system packages
> 
>  
> 
>  and reconfigure the system.
> 
>  
> 
>  -- 
> 
>  
> 
>  Olivier Dion
> 
>  
> 
>  oldiob.ca
> 

The best place for bugs, is to discuss them on [email-masked]. That way 

it ends up in our bug tracker. [email-masked] is really meant for

massive cool changes that you want guix to include. :)

Not to worry. I am including your bug report to [email-masked]!

I believe that guix is having some issues with building nss at the moment.

https://issues.guix.gnu.org/70663

Maybe that is related to this?  (possibly not).

Thanks,

Joshua